Debian Bug report logs - #613610
xburst-tools: contains precompiled binaries in debian/

Package: xburst-tools; Maintainer for xburst-tools is Xiangfu Liu <xiangfu@sharism.cc>; Source for xburst-tools is src:xburst-tools.

Reported by: Paul Wise <pabs@debian.org>

Date: Wed, 16 Feb 2011 05:03:02 UTC

Severity: serious

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Wed, 16 Feb 2011 05:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Wed, 16 Feb 2011 05:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xburst-tools: contains precompiled binaries in debian/
Date: Wed, 16 Feb 2011 13:01:42 +0800
[Message part 1 (text/plain, inline)]
Package: xburst-tools
Severity: serious

The following precompiled binaries should be removed and built from
source. They should be buildable on the official Debian buildds which
means they cannot use a MIPS cross-compiler because none are available
in Debian. Until a MIPS cross-compiler is available in Debian, the only
way to do this properly is to create an Architecture: all package
containing the .bin files and have your sponsor build the binary
packages on a Debian mips machine/emulator & upload them to the archive.

debian/stage1.bin
debian/xburst_stage2.bin
debian/xburst_stage1.bin

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613610; Package xburst-tools. (Mon, 22 Aug 2011 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xiangfu Liu <xiangfu@sharism.cc>:
Extra info received and forwarded to list. (Mon, 22 Aug 2011 13:15:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Xiangfu Liu <xiangfu@sharism.cc>
To: Paul Wise <pabs@debian.org>, 613610@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#613610: xburst-tools: contains precompiled binaries in debian/
Date: Mon, 22 Aug 2011 21:12:10 +0800
On 02/16/2011 01:01 PM, Paul Wise wrote:
> Package: xburst-tools
> Severity: serious
>
> The following precompiled binaries should be removed and built from
> source. They should be buildable on the official Debian buildds which
> means they cannot use a MIPS cross-compiler because none are available
> in Debian. Until a MIPS cross-compiler is available in Debian, the only
> way to do this properly is to create an Architecture: all package

Thanks Paul Wise.

can you give me more detail how to do this?

> containing the .bin files and have your sponsor build the binary
> packages on a Debian mips machine/emulator&  upload them to the archive.
>

how can I find s sponsor that have a Debian mips machine/emulator?

oh. just MIPS emulator installed Debian is ok?



> debian/stage1.bin
> debian/xburst_stage2.bin
> debian/xburst_stage1.bin
>





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613610; Package xburst-tools. (Mon, 22 Aug 2011 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xiangfu Liu <xiangfu@sharism.cc>:
Extra info received and forwarded to list. (Mon, 22 Aug 2011 13:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Mon, 22 Aug 2011 13:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Mon, 22 Aug 2011 13:33:07 GMT) Full text and rfc822 format available.

Message #20 received at 613610@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 613610@bugs.debian.org
Cc: Xiangfu Liu <xiangfu@sharism.cc>
Subject: Re: Bug#613610: xburst-tools: contains precompiled binaries in debian/
Date: Mon, 22 Aug 2011 15:28:40 +0200
[Message part 1 (text/plain, inline)]
On Mon, 2011-08-22 at 21:12 +0800, Xiangfu Liu wrote:

> can you give me more detail how to do this?
> 
> > containing the .bin files and have your sponsor build the binary
> > packages on a Debian mips machine/emulator&  upload them to the archive.
> 
> how can I find s sponsor that have a Debian mips machine/emulator?
> 
> oh. just MIPS emulator installed Debian is ok?

Yes, an emulator (such as qemu) with a Debian mips installation is one
option. The other option would be to send your sponsor a MIPS machine
(such as the Ben NanoNote) so that they can build and test your package
on the machine that your software is for. Or perhaps your sponsor (LI
Daobing) already owns such a machine.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613610; Package xburst-tools. (Mon, 22 Aug 2011 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xiangfu Liu <xiangfu@sharism.cc>:
Extra info received and forwarded to list. (Mon, 22 Aug 2011 13:36:07 GMT) Full text and rfc822 format available.

Message #25 received at 613610@bugs.debian.org (full text, mbox):

From: Xiangfu Liu <xiangfu@sharism.cc>
To: Paul Wise <pabs@debian.org>
Cc: 613610@bugs.debian.org
Subject: Re: Bug#613610: xburst-tools: contains precompiled binaries in debian/
Date: Mon, 22 Aug 2011 21:33:56 +0800
On 08/22/2011 09:28 PM, Paul Wise wrote:
> On Mon, 2011-08-22 at 21:12 +0800, Xiangfu Liu wrote:
>
>> >  can you give me more detail how to do this?
>> >
>>> >  >  containing the .bin files and have your sponsor build the binary
>>> >  >  packages on a Debian mips machine/emulator&   upload them to the archive.
>> >
>> >  how can I find s sponsor that have a Debian mips machine/emulator?
>> >
>> >  oh. just MIPS emulator installed Debian is ok?
> Yes, an emulator (such as qemu) with a Debian mips installation is one
> option. The other option would be to send your sponsor a MIPS machine
> (such as the Ben NanoNote) so that they can build and test your package
> on the machine that your software is for. Or perhaps your sponsor (LI
> Daobing) already owns such a machine.
>
thanks Paul. I will try it on ben nanonote first. will report in next two days





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613610; Package xburst-tools. (Wed, 23 Nov 2011 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xiangfu Liu <xiangfu@sharism.cc>:
Extra info received and forwarded to list. (Wed, 23 Nov 2011 06:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 613610@bugs.debian.org (full text, mbox):

From: Xiangfu Liu <xiangfu@sharism.cc>
To: debian-mips@lists.debian.org
Cc: 613610@bugs.debian.org, Paul Wise <pabs@debian.org>, LI Daobing <lidaobing@debian.org>, LI Daobing <lidaobing@gmail.com>
Subject: xburst-tools package needs build under a MIPS cpu machine
Date: Wed, 23 Nov 2011 14:55:20 +0800
Hi

I have a debian package name 'xburst-tools'
  http://packages.qa.debian.org/x/xburst-tools.html

but there is a bug about this package:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=613610

those three binary package needs compile under a mips machine

can someone help me about this. thanks.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613610; Package xburst-tools. (Thu, 24 Nov 2011 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xiangfu Liu <xiangfu@sharism.cc>:
Extra info received and forwarded to list. (Thu, 24 Nov 2011 01:36:03 GMT) Full text and rfc822 format available.

Message #35 received at 613610@bugs.debian.org (full text, mbox):

From: Xiangfu Liu <xiangfu@sharism.cc>
To: debian-mips@lists.debian.org
Cc: 613610@bugs.debian.org, Paul Wise <pabs@debian.org>, LI Daobing <lidaobing@debian.org>
Subject: Re: xburst-tools package needs build under a MIPS cpu machine
Date: Thu, 24 Nov 2011 09:32:41 +0800
Hi

I make it compile under ben nanonote(a mipsel pocket pc)
checkout here:
  http://downloads.openmobilefree.net/NanoNote/xburst-tools/mipsel/

how to do this:
  "create an Architecture: all package containing the .bin files"

thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Thu, 24 Nov 2011 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Thu, 24 Nov 2011 01:45:03 GMT) Full text and rfc822 format available.

Message #40 received at 613610@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Xiangfu Liu <xiangfu@sharism.cc>
Cc: 613610@bugs.debian.org, LI Daobing <lidaobing@debian.org>
Subject: Re: xburst-tools package needs build under a MIPS cpu machine
Date: Thu, 24 Nov 2011 09:43:45 +0800
[Message part 1 (text/plain, inline)]
On Thu, 2011-11-24 at 09:32 +0800, Xiangfu Liu wrote:
> Hi
> 
> I make it compile under ben nanonote(a mipsel pocket pc)
> checkout here:
>    http://downloads.openmobilefree.net/NanoNote/xburst-tools/mipsel/
> 
> how to do this:
>    "create an Architecture: all package containing the .bin files"

In debian/control, add a package that is Architecture: all instead of
Architecture: any and install the .bin files into that package.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Thu, 24 Nov 2011 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Thu, 24 Nov 2011 14:30:03 GMT) Full text and rfc822 format available.

Message #45 received at 613610@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Xiangfu Liu <xiangfu@sharism.cc>
Cc: debian-mips@lists.debian.org, 613610@bugs.debian.org, LI Daobing <lidaobing@debian.org>, LI Daobing <lidaobing@gmail.com>
Subject: Re: xburst-tools package needs build under a MIPS cpu machine
Date: Thu, 24 Nov 2011 22:27:13 +0800
[Message part 1 (text/plain, inline)]
On Wed, 2011-11-23 at 14:55 +0800, Xiangfu Liu wrote:

> I have a debian package name 'xburst-tools'
>    http://packages.qa.debian.org/x/xburst-tools.html
> 
> but there is a bug about this package:
>    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=613610
> 
> those three binary package needs compile under a mips machine
> 
> can someone help me about this. thanks.

I don't have any MIPS hardware nor a NanoNote to be able to test it.

I guess the best sponsor would be someone with a NanoNote containing the
xburst CPU. Probably not many Debian members own one of these devices so
you might need to donate/loan one to Debian.

It might be acceptable for a sponsor to build the software in a Debian
install running under qemu-system-mipsel, but you would need to build
under qemu and test the resulting firmware on your NanoNote to ensure
that it works before your sponsor uploads it.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Thu, 24 Nov 2011 14:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Thu, 24 Nov 2011 14:42:03 GMT) Full text and rfc822 format available.

Message #50 received at 613610@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Xiangfu Liu <xiangfu@sharism.cc>
Cc: debian-mips@lists.debian.org, 613610@bugs.debian.org, LI Daobing <lidaobing@debian.org>, LI Daobing <lidaobing@gmail.com>
Subject: Re: xburst-tools package needs build under a MIPS cpu machine
Date: Thu, 24 Nov 2011 22:40:48 +0800
[Message part 1 (text/plain, inline)]
On Thu, 2011-11-24 at 22:27 +0800, Paul Wise wrote:

> It might be acceptable for a sponsor to build the software in a Debian
> install running under qemu-system-mipsel, but you would need to build
> under qemu and test the resulting firmware on your NanoNote to ensure
> that it works before your sponsor uploads it.

The ftp team suggested that this is not generally accepted...

> I guess the best sponsor would be someone with a NanoNote containing the
> xburst CPU. Probably not many Debian members own one of these devices so
> you might need to donate/loan one to Debian.

...therefore this is the only option available. If no Debian members
owning mipsel hardware are willing to sponsor it then your only option
would be to donate/lend some to Debian to be used by the sponsor.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Fri, 25 Nov 2011 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to xiangfu@openmobilefree.net:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Fri, 25 Nov 2011 01:24:03 GMT) Full text and rfc822 format available.

Message #55 received at 613610@bugs.debian.org (full text, mbox):

From: Xiangfu Liu <xiangfu.z@gmail.com>
To: Paul Wise <pabs@debian.org>
Cc: Xiangfu Liu <xiangfu@sharism.cc>, debian-mips@lists.debian.org, 613610@bugs.debian.org, LI Daobing <lidaobing@debian.org>, LI Daobing <lidaobing@gmail.com>
Subject: Re: xburst-tools package needs build under a MIPS cpu machine
Date: Fri, 25 Nov 2011 09:21:06 +0800
got it. thanks Pabs

On 11/24/2011 10:40 PM, Paul Wise wrote:
> On Thu, 2011-11-24 at 22:27 +0800, Paul Wise wrote:
>
>> It might be acceptable for a sponsor to build the software in a Debian
>> install running under qemu-system-mipsel, but you would need to build
>> under qemu and test the resulting firmware on your NanoNote to ensure
>> that it works before your sponsor uploads it.
>
> The ftp team suggested that this is not generally accepted...
>
>> I guess the best sponsor would be someone with a NanoNote containing the
>> xburst CPU. Probably not many Debian members own one of these devices so
>> you might need to donate/loan one to Debian.
>
> ...therefore this is the only option available. If no Debian members
> owning mipsel hardware are willing to sponsor it then your only option
> would be to donate/lend some to Debian to be used by the sponsor.
>





Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Fri, 23 Mar 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Fri, 23 Mar 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #60 received at 613610@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 613610@bugs.debian.org
Subject: Re: Bug #613610: xburst-tools: contains precompiled binaries in debian/
Date: Sat, 24 Mar 2012 01:09:01 +0800
I think it might be possible to build it on a Debian machine? I'm not
going to work on it cuz I'm pretty busy, but comes here to contribute
the idea.

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Thu, 20 Sep 2012 07:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Thu, 20 Sep 2012 07:33:06 GMT) Full text and rfc822 format available.

Message #65 received at 613610@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-mentors@lists.debian.org, xiangfu liu <xiangfu@openmobilefree.net>, 613610 <613610@bugs.debian.org>
Subject: Re: xburst-tools at mentors
Date: Thu, 20 Sep 2012 15:31:25 +0800
[Message part 1 (text/plain, inline)]
On Thu, 2012-09-20 at 07:06 +0000, Bart Martens wrote:

> I don't find version 201206 on the upstream website.  Where did you
> get it ?

He is upstream, I expect he created it and uploaded it to mentors but
forgot to upload it to the website.

> How is progress on donating/lending a suitable device to a sponsor for
> getting bug 613610 fixed ?

Unfortunately lending/donating a NanoNote isn't currently possible.
I think we came to the conclusion that a sponsor should build it in
qemu, send xiangfu the unsigned binary package for testing and only sign
and upload it after xiangfu has successfully tested it. Once we get MIPS
cross-compilers[1] in Debian it could simply be cross-compiled instead.

     1. http://gsoc.sitedethib.com/posts/State_of_Multiarch_Cross-toolchains_three_weeks_after_GSoC/

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Thu, 20 Sep 2012 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xiangfu Liu <xiangfu@openmobilefree.net>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Thu, 20 Sep 2012 07:45:03 GMT) Full text and rfc822 format available.

Message #70 received at 613610@bugs.debian.org (full text, mbox):

From: Xiangfu Liu <xiangfu@openmobilefree.net>
To: Paul Wise <pabs@debian.org>, 613610@bugs.debian.org
Cc: debian-mentors@lists.debian.org, xiangfu liu <xiangfu@openmobilefree.net>
Subject: Re: Bug#613610: xburst-tools at mentors
Date: Thu, 20 Sep 2012 15:41:05 +0800
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 09/20/2012 03:31 PM, Paul Wise wrote:
> On Thu, 2012-09-20 at 07:06 +0000, Bart Martens wrote:
> 
>> > I don't find version 201206 on the upstream website.  Where did you
>> > get it ?
Here it is:
  http://projects.qi-hardware.com/index.php/p/xburst-tools/downloads/86/

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://www.enigmail.net/

iQIcBAEBCAAGBQJQWsiRAAoJEN455DfyzFOYQhIP/RVhA1YV23k1sZl17LiCWib1
1l/poY+87HZg30zUcGjttVEcHZMIoxiw/BQVMYODZ9ovTLIxD7wy0gdC3hB2Rm9S
g0O697glhkLrFgxqPFH7RVsDg5AfJW1ZwZIgjfvub1R0Jq7m0p7nMABTAKrkcBWS
dq0HZOM4bMR7/sAvDMTlqDQj4a8pNP7I9/CvTGqjn7HnAvMtTVg0zVIk5Li2brVT
3zCuaq5n5bZcEcB07WTXfmXQWHFjWxl8DAyUXLIGgetW8Hp5j27Q1p5Ngo9zILer
8yXAsZDavvFy7pbu9MNCwmLeaUccV+BoTeaktmHnfzPkJP++lJYRiopcxYGR8uL2
ruWCC5TcKjnO2NCNV/tRimltc0q+0P1nJ7PBkwKAMaGo1+H6rDowywVOehNnlv94
5WecLX21QJ4M13QAR+RKrxrBJrNoSMTDfjTpVeZJKdqcrjYe1kANdiaYo1UZlJoX
InLlPcpZiZvrE+PmviiVnTM2fAdCw2zkvMYa451xZvccphWeZKh/GW4XT0d9w08+
6zqwfiNl3lyk5SOyKvjo64lDC+u0aUygY+1WBMCj6cnIZqmf9kQj4cZtSBWknyVE
/sE05p7JXm/OzTNqQ2dWoph26VktI7MJ6wRmtOSLIGEJXkxmq1qcyHK+FNIndP5K
09wzQovMwJA1Cpyhlg74
=9KeL
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Xiangfu Liu <xiangfu@sharism.cc>:
Bug#613610; Package xburst-tools. (Mon, 08 Oct 2012 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <aron@debian.org>:
Extra info received and forwarded to list. Copy sent to Xiangfu Liu <xiangfu@sharism.cc>. (Mon, 08 Oct 2012 06:27:03 GMT) Full text and rfc822 format available.

Message #75 received at 613610@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: 613610@bugs.debian.org, debian-mentors@lists.debian.org
Subject: Re: Bug#613610: xburst-tools: contains precompiled binaries in debian/
Date: Mon, 8 Oct 2012 14:22:33 +0800
Hi,

Xiangfu lent me an NanoNote yesterday, I'll install Debian Sid on it
and test whether an image built on a Debian mipsel porterbox work with
the device. It that does not work, I can build a binary directly on
the device this time at least.



--
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613610; Package xburst-tools. (Mon, 08 Oct 2012 07:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xiangfu Liu <xiangfu@sharism.cc>:
Extra info received and forwarded to list. (Mon, 08 Oct 2012 07:30:10 GMT) Full text and rfc822 format available.

Message #80 received at 613610@bugs.debian.org (full text, mbox):

From: Xiangfu Liu <xiangfu@sharism.cc>
To: Aron Xu <aron@debian.org>, 613610@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: Bug#613610: xburst-tools: contains precompiled binaries in debian/
Date: Mon, 08 Oct 2012 15:24:49 +0800
Hi Aron

It should be works just fine. I have done this before:(just FYI)
  http://downloads.openmobilefree.net/NanoNote/xburst-tools/mipsel/

After you compile the firmwares(xburst_stage1.bin and xburst_stage2.bin)
you can test it on a x86 system see if the firmwares works fine.

Thanks for help on xburst-tools
Xiangfu

On 10/08/2012 02:22 PM, Aron Xu wrote:
> Hi,
> 
> Xiangfu lent me an NanoNote yesterday, I'll install Debian Sid on it
> and test whether an image built on a Debian mipsel porterbox work with
> the device. It that does not work, I can build a binary directly on
> the device this time at least.
> 
> 
> 
> --
> Regards,
> Aron Xu
> 




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:07:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.